<script setup lang="ts">
import AppCard from '@/components/ui/AppCard.vue'
import AppButton from '@/components/ui/AppButton.vue'
</script>

<template>
  <main id="main" class="flex justify-center items-center">
    <AppCard>
      <h1 class="mb-3 text-2xl dark:text-white font-semibold">Administrative Access</h1>
      <div class="flex space-x-3">
        <RouterLink to="/admin/expected-users">
          <AppButton> Expected Users </AppButton>
        </RouterLink>
        <RouterLink to="/admin/users">
          <AppButton> Users </AppButton>
        </RouterLink>
        <RouterLink to="/admin/files">
          <AppButton> Files </AppButton>
        </RouterLink>
        <RouterLink to="/admin/reports">
          <AppButton> Reports </AppButton>
        </RouterLink>
      </div>
    </AppCard>
  </main>
</template>
